Results 1 to 8 of 8

Thread: Compiz with KDE4.6.1 and 11.4 - won't work for me

  1. #1

    Default Compiz with KDE4.6.1 and 11.4 - won't work for me

    preamble - in 11.3 Compiz .8.x worked fine but not .9.x

    In 11.4 "compiz --replace" displays no error messages, but starts up with no window decorations.

    In ccsm window decorations, kde comparability, OpenGL and composting are all checked. Even tried as a different user after rm'ing the compiz-1 folder.

    Composting using Kwin works fine.


    regards,
    openSUSE Leap 42.1 x64, Plasma 5 & KDE 4.14.x, pretty current proprietary Nvidia drivers (self-compiled)

  2. #2
    Join Date
    Aug 2010
    Location
    Aveiro, Portugal
    Posts
    313

    Default Re: Compiz with KDE4.6.1 and 11.4 - won't work for me

    SKIP_CHECKS=yes compiz --replace

    See if that helps.

  3. #3

    Default Re: Compiz with KDE4.6.1 and 11.4 - won't work for me

    nope, but thanks

    does it work for you?

    fyi - GPU is Nvidia 9500gt running 270.xx series drivers self-compiled
    openSUSE Leap 42.1 x64, Plasma 5 & KDE 4.14.x, pretty current proprietary Nvidia drivers (self-compiled)

  4. #4
    Join Date
    Mar 2010
    Location
    Europe
    Posts
    657

    Default Re: Compiz with KDE4.6.1 and 11.4 - won't work for me

    I remember that on 11.3 I tried Compiz too and that I ran into a similar problem. And I seem to remember that solution had something to do with KDE's desktop effects, especially those desktop effects that affect Window Decorations, such as Transparency.

    FWIW.

  5. #5
    Join Date
    Jun 2008
    Location
    San Salvador, El Salvador (Central America).
    Posts
    45

    Question Re: Compiz with KDE4.6.1 and 11.4 - won't work for me

    Why do you prefer using compiz rather than kwin? a couple of years back I used compiz in kde but now I don't have to, you will have better integration using kwin. Sorry for my question and no answer.

  6. #6
    Join Date
    Aug 2010
    Location
    USA
    Posts
    87

    Default Re: Compiz with KDE4.6.1 and 11.4 - won't work for me

    I'm still on 11.3 with kde unstable and couldn't use emerald so I am running icewm for windows/decorations. Its a little spartan but fast like kwin has never been. I haven't been able to get the compiz effects to run yet but think it might be something to do with the 270.30 driver? kde effects didn't all work either. I notice a few anomolies but nothing major. Lancelot goes of the side of my screen slightly but it did that with Emerald using the Ghost theme too. To answer why not use kde effects for me kwin has been the primary reason.

    | openSUSE 12.2 Milestone4 32bit | KDE 4.8.3
    | AMD Athlon(tm) XP 3000+ | MSI K7N2 Delta-L | 3GB Black Diamond DDR
    | GeForce 6200@433Mhz 512MB | NVIDIA-Linux-x86-295.49

  7. #7
    Join Date
    Nov 2010
    Location
    Kazakhstan, Aktau
    Posts
    84

    Default Re: Compiz with KDE4.6.1 and 11.4 - won't work for me

    I have the same problem! I used Compiz without any problem in openSUSE 11.3. But in 11.4 don't work window decoration. I configured Compiz using this instruction. Now I think to install 11.3, configure compiz, switch on the Tumbleweed repository and make distr update. I don't now how to use my lovely Linux OS without Compiz!

  8. #8
    Join Date
    Nov 2010
    Location
    Kazakhstan, Aktau
    Posts
    84

    Default Re: Compiz with KDE4.6.1 and 11.4 - won't work for me

    My idea has no success. May be it's because of I've updated Compiz too. Now I want upgrade all the system except for Compiz.

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •